= nng_thread_destroy(3supp)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_thread_destroy - reap thread

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/util/platform.h>

void nng_thread_destroy(nng_thread *thread);
----

== DESCRIPTION

The `nng_thread_destroy()` function reaps the _thread_.
It waits for the thread function to return, and then deallocates
the resources for the thread.

IMPORTANT: Do not call this function from the thread function itself,
or a deadlock will occur.

== RETURN VALUES

None.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_thread_create.3supp.adoc[nng_thread_create(3supp)],
xref:nng.7.adoc[nng(7)]
